Skip to main content
`Ctrl`+`K`

# TAONTR

Newton’s method with trust region for unconstrained minimization. At each iteration, the Newton trust region method solves the system \(\min_d .5 d^T Hk d + gk^T d, s.t. ||d|| < \Delta_k.\)

## Options Database Keys

- -tao_ntr_init_type - “constant”,”direction”,”interpolation”

- -tao_ntr_update_type - “reduction”,”interpolation”

- -tao_ntr_min_radius - lower bound on trust region radius

- -tao_ntr_max_radius - upper bound on trust region radius

- -tao_ntr_epsilon - tolerance for accepting actual / predicted reduction

- -tao_ntr_mu1_i - mu1 interpolation initial factor

- -tao_ntr_mu2_i - mu2 interpolation initial factor

- -tao_ntr_gamma1_i - gamma1 interpolation initial factor

- -tao_ntr_gamma2_i - gamma2 interpolation initial factor

- -tao_ntr_gamma3_i - gamma3 interpolation initial factor

- -tao_ntr_gamma4_i - gamma4 interpolation initial factor

- -tao_ntr_theta_i - theta1 interpolation initial factor

- -tao_ntr_eta1 - eta1 reduction update factor

- -tao_ntr_eta2 - eta2 reduction update factor

- -tao_ntr_eta3 - eta3 reduction update factor

- -tao_ntr_eta4 - eta4 reduction update factor

- -tao_ntr_alpha1 - alpha1 reduction update factor

- -tao_ntr_alpha2 - alpha2 reduction update factor

- -tao_ntr_alpha3 - alpha3 reduction update factor

- -tao_ntr_alpha4 - alpha4 reduction update factor

- -tao_ntr_mu1 - mu1 interpolation update

- -tao_ntr_mu2 - mu2 interpolation update

- -tao_ntr_gamma1 - gamma1 interpolation update

- -tao_ntr_gamma2 - gamma2 interpolation update

- -tao_ntr_gamma3 - gamma3 interpolation update

- -tao_ntr_gamma4 - gamma4 interpolation update

- -tao_ntr_theta - theta interpolation update

The various algorithmic factors can only be supplied via the options database

## See Also

`Tao`, `TAONLS`, `TAONTL`, `TAONM`, `TaoType`, `TaoCreate()`

## Level

beginner

## Location

src/tao/unconstrained/impls/ntr/ntr.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages